org.apache.tinkerpop.gremlin.python.jsr223

## Class GremlinJythonScriptEngine

- java.lang.Object
- - org.apache.tinkerpop.gremlin.python.jsr223.GremlinJythonScriptEngine

- All Implemented Interfaces:
    ScriptEngine, GremlinScriptEngine

      public class GremlinJythonScriptEngine
      extends Object
      implements GremlinScriptEngine

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinScriptEngine

      `HIDDEN_G`

    - ### Fields inherited from interface javax.script.ScriptEngine

      `ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinJythonScriptEngine()` Deprecated. As of release 3.2.4, replaced by `GremlinJythonScriptEngine(Customizer...)`.
    `GremlinJythonScriptEngine(Customizer... customizers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `createBindings()`
    `Traversal.Admin` | `eval(Bytecode bytecode, Bindings bindings, String traversalSource)` Evaluates `Traversal` `Bytecode` with the specified `Bindings`.
    `Object` | `eval(Reader reader)`
    `Object` | `eval(Reader reader, Bindings n)`
    `Object` | `eval(Reader reader, ScriptContext context)`
    `Object` | `eval(String script)`
    `Object` | `eval(String script, Bindings n)`
    `Object` | `eval(String script, ScriptContext context)`
    `Object` | `get(String key)`
    `Bindings` | `getBindings(int scope)`
    `ScriptContext` | `getContext()`
    `GremlinScriptEngineFactory` | `getFactory()`
    `void` | `put(String key, Object value)`
    `void` | `setBindings(Bindings bindings, int scope)`
    `void` | `setContext(ScriptContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinScriptEngine

      `eval, eval, eval`

- - ### Constructor Detail

    - #### GremlinJythonScriptEngine

          @Deprecated
          public GremlinJythonScriptEngine()

      Deprecated. As of release 3.2.4, replaced by `GremlinJythonScriptEngine(Customizer...)`.

    - #### GremlinJythonScriptEngine

          public GremlinJythonScriptEngine(Customizer... customizers)

  - ### Method Detail

    - #### eval

          public Traversal.Admin eval(Bytecode bytecode,
                                      Bindings bindings,
                                      String traversalSource)
                               throws ScriptException

      Description copied from interface: `GremlinScriptEngine`
      Evaluates `Traversal` `Bytecode` with the specified `Bindings`. These `Bindings` supplied to this method will be merged with global engine bindings and override them where keys match.
      Specified by:
        `eval` in interface `GremlinScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script,
                             ScriptContext context)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader,
                             ScriptContext context)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(String script,
                             Bindings n)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### eval

          public Object eval(Reader reader,
                             Bindings n)
                      throws ScriptException

      Specified by:
        `eval` in interface `ScriptEngine`
      Throws:
        `ScriptException`

    - #### put

          public void put(String key,
                          Object value)

      Specified by:
        `put` in interface `ScriptEngine`

    - #### get

          public Object get(String key)

      Specified by:
        `get` in interface `ScriptEngine`

    - #### getBindings

          public Bindings getBindings(int scope)

      Specified by:
        `getBindings` in interface `ScriptEngine`

    - #### setBindings

          public void setBindings(Bindings bindings,
                                  int scope)

      Specified by:
        `setBindings` in interface `ScriptEngine`

    - #### createBindings

          public Bindings createBindings()

      Specified by:
        `createBindings` in interface `ScriptEngine`

    - #### getContext

          public ScriptContext getContext()

      Specified by:
        `getContext` in interface `ScriptEngine`

    - #### setContext

          public void setContext(ScriptContext context)

      Specified by:
        `setContext` in interface `ScriptEngine`

    - #### getFactory

          public GremlinScriptEngineFactory getFactory()

      Specified by:
        `getFactory` in interface `ScriptEngine`
      Specified by:
        `getFactory` in interface `GremlinScriptEngine`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.